<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlTxGainPhaseMismatchMonConf_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlTxGainPhaseMismatchMonConf_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>TX gain and phase mismatch monitoring configuration.  
 <a href="structrl_tx_gain_phase_mismatch_mon_conf__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_monitoring.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:afc1d1f7d8713b26d21f44efbe9bed73c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afc1d1f7d8713b26d21f44efbe9bed73c"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_gain_phase_mismatch_mon_conf__t.html#afc1d1f7d8713b26d21f44efbe9bed73c">profileIndx</a></td></tr>
<tr class="memdesc:afc1d1f7d8713b26d21f44efbe9bed73c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field indicates the Profile Index for which this monitoring configuration <br />
 applies. The TX settings corresponding to this profile index are used during <br />
 the monitoring. The RX gain used in this measurement may differ from the given <br />
 profile's RX gain. <br />
. <br /></td></tr>
<tr class="separator:afc1d1f7d8713b26d21f44efbe9bed73c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6854fb9d227ce1fe980a311c99063498"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6854fb9d227ce1fe980a311c99063498"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_gain_phase_mismatch_mon_conf__t.html#a6854fb9d227ce1fe980a311c99063498">rfFreqBitMask</a></td></tr>
<tr class="memdesc:a6854fb9d227ce1fe980a311c99063498"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field indicates the exact RF frequencies inside the profile's RF band at <br />
 which to measure the required parameters. When each bit in this field is set, <br />
 the measurement at the corresponding RF frequency is enabled wrt the profile's <br />
 RF band. <br />
 Bit RF frequency RF <br />
 number name <br />
 0 Lowest RF frequency in profile's RF1 <br />
 sweep bandwidth <br />
 1 Center RF frequency in profile's RF2 <br />
 sweep bandwidth <br />
 2 Highest RF frequency in profile's RF3 <br />
 sweep bandwidth <br />
 The RF Name column is mentioned here to set the convention for the purpose of <br />
 reporting and describing many monitoring packets. <br />
. <br /></td></tr>
<tr class="separator:a6854fb9d227ce1fe980a311c99063498"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a394bc54afe1d3ecf5ec15e761edcbe14"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a394bc54afe1d3ecf5ec15e761edcbe14"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_gain_phase_mismatch_mon_conf__t.html#a394bc54afe1d3ecf5ec15e761edcbe14">txEn</a></td></tr>
<tr class="memdesc:a394bc54afe1d3ecf5ec15e761edcbe14"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field indicates the TX channels that should be compared for gain and phase <br />
 balance. Setting the corresponding bit to 1 enables that channel for imbalance <br />
 measurement <br />
 Bit number TX Channel <br />
 0 TX0 <br />
 1 TX1 <br />
 2 TX2 <br />
. <br /></td></tr>
<tr class="separator:a394bc54afe1d3ecf5ec15e761edcbe14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9ebdc68e6f67964c0fd5b66ed0ab02b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac9ebdc68e6f67964c0fd5b66ed0ab02b"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_gain_phase_mismatch_mon_conf__t.html#ac9ebdc68e6f67964c0fd5b66ed0ab02b">rxEn</a></td></tr>
<tr class="memdesc:ac9ebdc68e6f67964c0fd5b66ed0ab02b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field indicates the RX channels that should be enabled for TX to RX loopback measurement. Setting the corresponding bit to 1 enables that channel for imbalance measurement. Bit RX Channel 0 RX0 1 RX1 2 RX2 3 RX3. <br /></td></tr>
<tr class="separator:ac9ebdc68e6f67964c0fd5b66ed0ab02b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae47eaed0e7061f51f1d89337c62ef849"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae47eaed0e7061f51f1d89337c62ef849"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_gain_phase_mismatch_mon_conf__t.html#ae47eaed0e7061f51f1d89337c62ef849">reserved1</a></td></tr>
<tr class="memdesc:ae47eaed0e7061f51f1d89337c62ef849"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:ae47eaed0e7061f51f1d89337c62ef849"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f6ce26f4748f3bfe293a0d59d17d329"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9f6ce26f4748f3bfe293a0d59d17d329"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_gain_phase_mismatch_mon_conf__t.html#a9f6ce26f4748f3bfe293a0d59d17d329">txGainMismatchThresh</a></td></tr>
<tr class="memdesc:a9f6ce26f4748f3bfe293a0d59d17d329"><td class="mdescLeft">&#160;</td><td class="mdescRight">The magnitude of difference between measured TX powers across the enabled <br />
 channels at each enabled RF frequency is compared against this threshold. The <br />
 comparison result is part of the monitoring report message(Error bit is set if <br />
 the measurement is above this threshold). Before the comparison, the measured <br />
 gains for each RF and RX are adjusted by subtracting the offset given in the <br />
 TX_GAIN_MISMATCH_OFFSET_VALUE field. <br />
 1 LSB = 0.1dB, signed number <br />
 Valid range: TBD to 60 <br />
 Recommended value = TBD <br />
. <br /></td></tr>
<tr class="separator:a9f6ce26f4748f3bfe293a0d59d17d329"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e4df255754707418ae4d32b07d0b8b7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0e4df255754707418ae4d32b07d0b8b7"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_gain_phase_mismatch_mon_conf__t.html#a0e4df255754707418ae4d32b07d0b8b7">txPhaseMismatchThresh</a></td></tr>
<tr class="memdesc:a0e4df255754707418ae4d32b07d0b8b7"><td class="mdescLeft">&#160;</td><td class="mdescRight">The magnitude of measured TX phase mismatch across the enabled channels at each <br />
 enabled RF frequency is compared against this threshold. The comparison result <br />
 is part of the monitoring report message (Error bit is set if any measurement <br />
 is above this threshold). Before the comparison, the measured gains for each RF <br />
 and RX are adjusted by subtracting the offset given in the <br />
 TX_PHASE_MISMATCH_OFFSET_VALUE field. <br />
 1 LSB = 360(degree)/ 2^16 , signed number <br />
 Valid range: corresponding to 2 (TBD) to 20 degree. <br />
 Recommended value = TBD <br />
. <br /></td></tr>
<tr class="separator:a0e4df255754707418ae4d32b07d0b8b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48880064aef60f033da0b5702aba18db"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a48880064aef60f033da0b5702aba18db"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_gain_phase_mismatch_mon_conf__t.html#a48880064aef60f033da0b5702aba18db">txGainMismatchOffsetVal</a> [RL_TX_CNT][RL_MON_RF_FREQ_CNT]</td></tr>
<tr class="memdesc:a48880064aef60f033da0b5702aba18db"><td class="mdescLeft">&#160;</td><td class="mdescRight">The offsets to be subtracted from the measured TX gain for each TX and RF before <br />
 the relevant threshold comparisons are given here. Byte numbers corresponding <br />
 to different RX and RF, in this field are here: <br />
 RF1 RF2 RF3 <br />
 TX0 [1:0] [7:6] [13:12] <br />
 TX1 [3:2] [9:8] [15:14] <br />
 TX2 [5:4] [11:10] [17:16] <br />
 1 LSB = 0.1 dB <br />
 Only the entries of enabled RF Frequencies and enabled TX <br />
 channels are considered. <br />
. <br /></td></tr>
<tr class="separator:a48880064aef60f033da0b5702aba18db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6011ff571c8b5fce4f2050ea362ebc54"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6011ff571c8b5fce4f2050ea362ebc54"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_gain_phase_mismatch_mon_conf__t.html#a6011ff571c8b5fce4f2050ea362ebc54">txPhaseMismatchOffsetVal</a> [RL_TX_CNT][RL_MON_RF_FREQ_CNT]</td></tr>
<tr class="memdesc:a6011ff571c8b5fce4f2050ea362ebc54"><td class="mdescLeft">&#160;</td><td class="mdescRight">The offsets to be subtracted from the measured TX phase for each TX and RF before <br />
 the <br />
 relevant threshold comparisons are given here. Byte numbers corresponding to <br />
 different RX and RF, in this field are here: <br />
 RF1 RF2 RF3 <br />
 TX0 [1:0] [7:6] [13:12] <br />
 TX1 [3:2] [9:8] [15:14] <br />
 TX2 [5:4] [11:10] [17:16] <br />
 1 LSB = 360(degree)/216. <br />
 Only the entries of enabled RF Frequencies and enabled TX channels <br />
 are considered. <br />
. <br /></td></tr>
<tr class="separator:a6011ff571c8b5fce4f2050ea362ebc54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34acaf18122f7e9d3eebf24e5c601a67"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a34acaf18122f7e9d3eebf24e5c601a67"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_gain_phase_mismatch_mon_conf__t.html#a34acaf18122f7e9d3eebf24e5c601a67">reserved2</a></td></tr>
<tr class="memdesc:a34acaf18122f7e9d3eebf24e5c601a67"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a34acaf18122f7e9d3eebf24e5c601a67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac30964c06804d2f28e35ab6be53c3606"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac30964c06804d2f28e35ab6be53c3606"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_gain_phase_mismatch_mon_conf__t.html#ac30964c06804d2f28e35ab6be53c3606">reserved3</a></td></tr>
<tr class="memdesc:ac30964c06804d2f28e35ab6be53c3606"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:ac30964c06804d2f28e35ab6be53c3606"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>TX gain and phase mismatch monitoring configuration. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_monitoring.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
